summaryrefslogtreecommitdiff
path: root/db/test/scr015/testall
diff options
context:
space:
mode:
Diffstat (limited to 'db/test/scr015/testall')
-rw-r--r--db/test/scr015/testall32
1 files changed, 32 insertions, 0 deletions
diff --git a/db/test/scr015/testall b/db/test/scr015/testall
new file mode 100644
index 000000000..e9883c4c3
--- /dev/null
+++ b/db/test/scr015/testall
@@ -0,0 +1,32 @@
+#!/bin/sh -
+# Id: testall,v 1.3 2001/09/13 14:49:36 dda Exp
+#
+# Run all the C++ regression tests
+
+ecode=0
+prefixarg=""
+stdinarg=""
+while :
+do
+ case "$1" in
+ --prefix=* )
+ prefixarg="$1"; shift;;
+ --stdin )
+ stdinarg="$1"; shift;;
+ * )
+ break
+ esac
+done
+files="`find . -name \*.cpp -print`"
+for file in $files; do
+ name=`echo $file | sed -e 's:^\./::' -e 's/\.cpp$//'`
+ if grep $name ignore > /dev/null; then
+ echo " **** cxx test $name ignored"
+ else
+ echo " ==== cxx test $name"
+ if ! sh ./testone $prefixarg $stdinarg $name; then
+ ecode=1
+ fi
+ fi
+done
+exit $ecode